Loading...
Searching...
No Matches
Dune::DummyUpdatePreconditioner< OriginalPreconditioner > Class Template Reference
Inheritance diagram for Dune::DummyUpdatePreconditioner< OriginalPreconditioner >:

## Public Types

using | X = typename OriginalPreconditioner::domain_type
using | Y = typename OriginalPreconditioner::range_type

## Public Member Functions

template<class... Args>
| DummyUpdatePreconditioner (Args &&... args)
virtual void | pre (X &x, Y &b) override
virtual void | apply (X &v, const Y &d) override
virtual void | post (X &x) override
virtual SolverCategory::Category | category () const override
virtual void | update () override
virtual bool | hasPerfectUpdate () const override

## Member Function Documentation

## hasPerfectUpdate()

template<class OriginalPreconditioner>

virtual bool Dune::DummyUpdatePreconditioner< OriginalPreconditioner >::hasPerfectUpdate | ( |  | ) | const

inline override virtual

Implements Dune::PreconditionerWithUpdate< OriginalPreconditioner::domain_type, OriginalPreconditioner::range_type >.

## update()

template<class OriginalPreconditioner>

virtual void Dune::DummyUpdatePreconditioner< OriginalPreconditioner >::update | ( |  | ) |

inline override virtual

Implements Dune::PreconditionerWithUpdate< OriginalPreconditioner::domain_type, OriginalPreconditioner::range_type >.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/PreconditionerWithUpdate.hpp